Subject: [PATCH]

From: Oscar Najera <[email-masked]>
Date: Sun, 08 Jan 2017 19:17:43 +0100

Hello,

I tried to use the auth-source-user-and-password function with the user
argument, but it always returns a list of nil. Looking at the code I see
that the argument is not used in the auth-source-search but that a fixed
string "yourusername" is used.

With this patch I obtain the correct behavior.

Thank you for your attention,
Best regards,
Oscar

---
 lisp/auth-source.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/auth-source.el b/lisp/auth-source.el
index c26935fcc9..7402ab21d7 100644
--- a/lisp/auth-source.el
+++ b/lisp/auth-source.el
@@ -2129,7 +2129,7 @@ MODE can be \"login\" or \"password\"."
                      (if user
                          (auth-source-search
                           :host host
-                          :user "yourusername"
+                          :user user
                           :max 1
                           :require '(:user :secret)
                           :create nil)